using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FingersDance.ActionFactory
{
    public class ActionFactory
    {
        private static ActionGenerator _Factory;

        public ActionFactory()
        { }

        public ActionGenerator GetGenerator()
        {
            if (_Factory == null)
            {
                _Factory = new ActionGenerator();
            }
            return _Factory;
        }
    }
}
